Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# pango/types.hh File Reference

Pango types C++ wrapper interface. More...

`#include <xfc/glib/boxed.hh>`
`#include <pango/pango-types.h>`
`#include <xfc/pango/inline/types.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::Rectangle
    A PangoRectangle C++ wrapper class. More...
- class Xfc::Pango::Matrix
    A PangoMatrix C++ wrapper class. More...

## Direction Methods

- Direction unichar_direction (G::Unichar ch)
    Determines the direction of a character; either Pango::DIRECTION_LTR, Pango::DIRECTION_LTR, or Pango::DIRECTION_NEUTRAL.
- Direction find_base_dir (const char *text, int length=-1)
    Searches a string for the first character that has a strong direction, according to the Unicode bidirectional algorithm.

## Typedefs

- typedef PangoGlyph Glyph
    Glyph is a convenient typedef for PangoGlyph.

## Enumerations

- enum Direction {
  DIRECTION_LTR = PANGO_DIRECTION_LTR,
  DIRECTION_RTL = PANGO_DIRECTION_RTL,
  DIRECTION_TTB_LTR = PANGO_DIRECTION_TTB_LTR,
  DIRECTION_TTB_RTL = PANGO_DIRECTION_TTB_RTL,
  DIRECTION_WEAK_LTR = PANGO_DIRECTION_WEAK_LTR,
  DIRECTION_WEAK_RTL = PANGO_DIRECTION_WEAK_RTL,
  DIRECTION_NEUTRAL = PANGO_DIRECTION_NEUTRAL
  }
    The Direction type represents the direction of writing for unicode bidirectional text. More...

## Detailed Description

Pango types C++ wrapper interface.

Provides common typedefs, enumerations and utility classes.

## Typedef Documentation

typedef PangoGlyph Xfc::Pango::Glyph

| Glyph is a convenient typedef for PangoGlyph. Glyph structure represents a single glyph in the output form of a glyph string.

## Enumeration Type Documentation

enum Direction

The Direction type represents the direction of writing for unicode bidirectional text.

Note: Not every value in this enumeration makes sense for every usage of Pango::Direction.

Enumeration values:

  DIRECTION_LTR | The text is written left-to-right.
  DIRECTION_RTL | The text is written right-to-left.
  DIRECTION_TTB_LTR | The text is written vertically top-to-bottom, with the rows ordered from left to right.
  DIRECTION_TTB_RTL | The text is written vertically top-to-bottom, with the rows ordered from right to left.
  DIRECTION_WEAK_LTR | A weak left-to-right direction.
  DIRECTION_WEAK_RTL | A weak right-to-left direction .
  DIRECTION_NEUTRAL | No direction specified.

## Function Documentation

Direction find_base_dir | ( | const char * | text,
|  | int | length = `-1`
| ) |

Searches a string for the first character that has a strong direction, according to the Unicode bidirectional algorithm.

Parameters:

  | text | The text to process.
  | length | The length of text in bytes, or -1 if text is null-terminated.

Returns:
  The direction corresponding to the first strong character.

If no such character is found, then Pango::DIRECTION_NEUTRAL is returned.

Direction unichar_direction | ( | G::Unichar | ch | ) |

Determines the direction of a character; either Pango::DIRECTION_LTR, Pango::DIRECTION_LTR, or Pango::DIRECTION_NEUTRAL.

Parameters:

  | ch | The character to examine.

Returns:
  The direction of a the character, as used in the Unicode bidirectional algorithm.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3